Updating bin/karaf to fix ^D

Karaf's ConsoleImpl does the wrong thing with ^D; the underlying
ConsoleReader already knows what to do.

Change-Id: I2276c34e4219894fb394b560cce5ff8a2503e95a
diff --git a/tools/dev/bin/onos-setup-karaf b/tools/dev/bin/onos-setup-karaf
index 84e9c94..e310c24 100755
--- a/tools/dev/bin/onos-setup-karaf
+++ b/tools/dev/bin/onos-setup-karaf
@@ -137,6 +137,12 @@
         $KARAF_ROOT/etc/org.apache.karaf.features.cfg
 fi
 
+if ! grep -q "ignoreInterrupts" $KARAF_ROOT/bin/karaf; then
+    # Patch the karaf start script to disable user interrupts
+    perl -pi.old -e "s|(-Dkaraf.startLocalConsole=true -Dkaraf.startRemoteShell=true)|\1 -Dkaraf.ignoreInterrupts=true|" \
+        $KARAF_ROOT/bin/karaf
+fi
+
 if [ ! -f $KARAF_ROOT/lib/onos-branding-$ONOS_POM_VERSION.jar ]; then
     # Patch the Apache Karaf distribution with ONOS branding bundle
     echo "Branding as ONOS..."